KDirSelectDialog Class Reference

`#include <kdirselectdialog.h>`

Inherits KDialogBase.

## Public Slots

void | setCurrentURL (const KURL &url)

## Public Member Functions

| KDirSelectDialog (const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const char *name=0, bool modal=false)
KURL | url () const
KFileTreeView * | view () const
bool | localOnly () const
QString | startDir () const

## Static Public Member Functions

static KURL | selectDirectory (const QString &startDir=QString::null, bool localOnly=false, QWidget *parent=0L, const QString &caption=QString::null)

## Protected Slots

virtual void | slotUser1 ()

## Protected Member Functions

virtual void | accept ()
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QVBoxLayout * | m_mainLayout
QString | m_startDir

## Detailed Description

A pretty dialog for a KDirSelect control for selecting directories.

Author
  Michael Jarrett micha.nosp@m.elj@.nosp@m.corel.nosp@m..com

See also
  KFileDialog

Definition at line 39 of file kdirselectdialog.h.

## Constructor & Destructor Documentation

KDirSelectDialog::KDirSelectDialog | ( | const QString & | startDir = `QString::null`,
|  | bool | localOnly = `false`,
|  | QWidget * | parent = `0L`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

The constructor.

Creates a dialog to select a directory (url).

Definition at line 87 of file kdirselectdialog.cpp.

## Member Function Documentation

KURL KDirSelectDialog::selectDirectory | ( | const QString & | startDir = `QString::null`,
|  | bool | localOnly = `false`,
|  | QWidget * | parent = `0L`,
|  | const QString & | caption = `QString::null`
| ) |  |

static

Creates a KDirSelectDialog, and returns the result.

Parameters

  startDir | the directory, initially shown The tree will display this directory and subdirectories of it.
  localOnly | unused. You can only select paths below the startDir
  parent | the parent widget to use for the dialog, or NULL to create a parent-less dialog
  caption | the caption to use for the dialog, or QString::null for the default caption

Returns
  The URL selected, or an empty URL if the user canceled or no URL was selected.

Definition at line 461 of file kdirselectdialog.cpp.

QString KDirSelectDialog::startDir | ( |  | ) | const

inline

Returns
  The path for the root node

Definition at line 89 of file kdirselectdialog.h.

KURL KDirSelectDialog::url | ( |  | ) | const

Returns the currently-selected URL, or a blank URL if none is selected.

Returns
  The currently-selected URL, if one was selected.

Definition at line 321 of file kdirselectdialog.cpp.

The documentation for this class was generated from the following files:

- kdirselectdialog.h
- kdirselectdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys